@echo off

color 1f
mode con cols=70 lines=25
title                       * MBR To GPT  * 
setlocal enabledelayedexpansion

:Main
cls
echo.
echo.
echo.                      ---------------------
echo.                           MBR2GPT
echo.                      ---------------------
echo.
echo.
echo.
echo.
echo.

echo.
start /b diskmgmt.msc
choice /t 03 /d n >nul
taskkill /IM mmc.exe /F

:Let
cls
echo.&echo.&echo.
set Letter=
set /p Letter=.       * 디스크 번호(숫자)를 입력하세요 : 
echo.
if "%Letter%"=="" goto Let

:disk
echo. select disk=%Letter% >"temp.txt"
echo. lis disk >>"temp.txt"
diskpart /s "temp.txt"
echo.&echo.
echo.         5초 대기 후 진행합니다.
choice /t 05 /d n >nul



:: 유효성 보기
:Val_chk
cls
echo.&echo.&echo.
mbr2gpt /validate /disk:%Letter% /allowFullOS
echo.&echo.&echo.
echo.    =========MBR to  GPT 변환 =================
echo.
echo.       successfully가 보이면 유효함 엔터 
echo.             failed가 보이면 불가함 종료
echo.       OS가 없을때는 Cannot find OS partition  
echo.    ===========================================
echo.&echo.&echo.&echo.
pause >nul


:M-G
cls
mbr2gpt /convert /disk:%Letter% /allowFullOS
echo.&echo.
echo. select disk=%Letter% >"temp.txt"
echo. lis part >>"temp.txt"
diskpart /s "temp.txt"
echo.&echo.
echo.         5초 대기 후 종료합니다.
choice /t 05 /d n >nul
del /f/a/q "temp.txt"
exit

